List campaign groups
curl --request GET \
--url https://app.loops.so/api/v1/campaign-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.loops.so/api/v1/campaign-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.loops.so/api/v1/campaign-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"totalResults": 2,
"returnedResults": 2,
"perPage": 20,
"totalPages": 1,
"nextCursor": null,
"nextPage": null
},
"data": [
{
"id": "clg7n5p3q1r9s7t5u3v1w9y7",
"name": "Onboarding",
"description": "Top of funnel campaigns",
"createdAt": "2025-06-29T07:47:39.370Z",
"updatedAt": "2025-06-29T07:47:39.370Z"
},
{
"id": "clg8m4n6p8q0r2s4t6u8v0w2",
"name": "Retention",
"description": "",
"createdAt": "2025-06-30T12:00:00.000Z",
"updatedAt": "2025-06-30T12:00:00.000Z"
}
]
}{
"message": "Group not found."
}Campaign groups
List campaign groups
Retrieve a paginated list of campaign groups, most recently created first.
GET
/
v1
/
campaign-groups
List campaign groups
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
How many results to return in each request. Must be between 10 and 50. Default is 20.
A cursor to return a specific page of results. Cursors can be found from the pagination.nextCursor value in each response.
Last modified on July 20, 2026
Related topics
Campaign groupsAPI IntroductionList campaignsUpdate a campaign groupGet a campaign groupWas this page helpful?
⌘I

